micro_utils.dokka
0.15.1

# Diff

data class Diff<T>

Diff object which contains information about differences between two Iterables

See tests for more info

#### See also

calculateDiff

#### Parameters

removed

The objects which has been presented in the old collection but absent in new one. Index here is the index in the old collection

added

The object which appear in new collection only. Indexes here show the index in the new collection

replaced

Pair of old-new changes. First object has been presented in the old collection on its IndexedValue.index place, the second one is the object in new collection. Both have indexes due to the fact that in case when some value has been replaced after adds or removes in original collection the object index will be changed

## Properties

added
Link copied to clipboard
val added: List<IndexedValue<T>>
removed
Link copied to clipboard
val removed: List<IndexedValue<T>>
replaced
Link copied to clipboard
val replaced: List<Pair<IndexedValue<T>, IndexedValue<T>>>

Old-New values pairs